{{ 'component-image-with-text.css' | asset_url | stylesheet_tag }}

{%- style -%}
  #{{ section.id}} {
  background-color: {{ section.settings.bg_color }};
  padding-top: {{ section.settings.padding_top}}px;
  padding-bottom: {{ section.settings.padding_bottom}}px;
  margin-top: {{ section.settings.margin_top}}px;
  margin-bottom: {{ section.settings.margin_bottom}}px;
  }
  #{{ section.id}} *{
    color: #014550;
  }
  #{{ section.id}}  p.desc {
    padding-right: 120px;
  }
  #{{ section.id}} .grid-item{
    max-width: 33.3%;
  }
  #{{ section.id}} p.icon-desc{
    font-size: 19px;
    line-height: 28px;
    font-weight: 400;
  }
  #{{ section.id}} .btn-link{
    background: #fff;
    border-radius: 44px;
    padding: 10px 27px;
    gap:5px;
    font-weight:500
  }
  #{{ section.id}} .btn-group {
    margin-top: 20px;
    gap: 15px;
  }
  #{{ section.id}} h3.title {
    font-family: 'FinancierDisplay';
    font-size: 48px;
    font-weight: 300;
    margin-bottom: 10px;
  }
  #{{ section.id}} .desc{
  font-size: 17px;
  font-weight: 400;
  }

  #{{ section.id}} .btn-link{
    background: #fff;
    border-radius: 44px;
    padding: 10px 27px;
  }
  #{{ section.id}} .btn-link:hover{
    background:#014550;
    color:#3cf084
  }
  #{{ section.id}} .btn-link:hover path{
    fill:#3cf084
  }

  @media only screen and (max-width : 768px){
    #{{ section.id}} h3.title {
      font-size: 42px;
      font-weight: 300;
      margin-top: 10px;
      margin-bottom: 0px;
    }
    #{{ section.id}}  p.desc {
      padding-right: 0px;
    }
    #{{ section.id }} .container{
      flex-direction: column;
    }
    .grid-wrap{
      width: 100% !important;
      flex-wrap: wrap;
      margin-top: 40px;
    }
    #{{ section.id}} .btn-link{
      padding: 6px  20px
    }
    #{{ section.id}} svg{
      width: 24px;
    }
    #{{ section.id}} .grid-wrap{
      margin-top:10px;
      justify-content: stretch !important;
      align-items: stretch !important;
    }
    #{{ section.id}} .grid-item{
      padding-right: 12px;
      padding-top: 12px;
    }
  }
{%- endstyle -%}

<section id="{{ section.id}}">
  <div class="container d-flex">
    <div class="content-wrap width-45 width-mobile-90">
      <h3 class="title">{{ section.settings.title }}</h3>
      <p class="desc">{{ section.settings.desc }}</p>
      <div class="btn-group d-flex align-item-center">
        <a class="btn-link d-flex align-item-center" href="{{ section.settings.btn1_url }}">
          {{- section.settings.btn1_icon -}}
          {{- section.settings.btn1_text -}}
        </a>
        <a class="btn-link d-flex align-item-center" href="{{ section.settings.btn2_url }}">
          {{- section.settings.btn2_icon -}}
          {{- section.settings.btn2_text -}}
        </a>
      </div>
    </div>
    <div class="grid-wrap width-55 width-mobile-100 d-flex ">
      {% for block in section.blocks %}
        <div class="grid-item ">
          <a href="{{ block.settings.url }}">
            <div class="icon-wrap">
              {{ block.settings.icon }}
            </div>
            <p class="icon-desc">
              {{ block.settings.desc }}
            </p>
          </a>
        </div>
      {% endfor %}
    </div>
  </div>
</section>

{% schema %}
{
  "name": "Content IconText Blocks",
  "class": "section",
  "settings": [
    {
      "type": "color",
      "id": "bg_color",
      "label": "Background Color"
    },
    {
      "type": "text",
      "id": "title",
      "label": "Title Text"
    },
    {
      "type": "text",
      "id": "desc",
      "label": "Description Text"
    },
    {
      "type": "header",
      "content": "Button1 Setting"
    },
    {
      "type": "html",
      "id": "btn1_icon",
      "label": "Button1 Icon"
    },
    {
      "type": "text",
      "id": "btn1_text",
      "label": "Button1 Text"
    },
    {
      "type": "url",
      "id": "btn1_url",
      "label": "Button1 Url"
    },
    {
      "type": "header",
      "content": "Button2 Setting"
    },
    {
      "type": "html",
      "id": "btn2_icon",
      "label": "Button2 Icon"
    },
    {
      "type": "text",
      "id": "btn2_text",
      "label": "Button2 Text"
    },
    {
      "type": "url",
      "id": "btn2_url",
      "label": "Button2 Url"
    },
    {
      "type": "header",
      "content": "Margin"
    },
    {
      "type": "range",
      "id": "margin_top",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "Margin Top",
      "default": 36
    },
    {
      "type": "range",
      "id": "margin_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "Margin Bottom",
      "default": 36
    },
    {
      "type": "header",
      "content": "Padding"
    },
    {
      "type": "range",
      "id": "padding_top",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_top",
      "default": 36
    },
    {
      "type": "range",
      "id": "padding_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_bottom",
      "default": 36
    }
  ],
  "blocks": [
    {
      "type": "icon_and_text",
      "name": "Icon and text",
      "limit": 10,
      "settings": [
        {
          "type": "html",
          "id": "icon",
          "label": "Icon"
        },
        {
          "type": "url",
          "id": "url",
          "label": "Url"
        },
        {
          "type": "text",
          "id": "desc",
          "label": "Description Text"
        }
      ]
    }
  ],
  "presets": [
    {
      "name": "Content IconText Blocks"
    }
  ]
}
{% endschema %}
